// SetupOptionDialog.cpp : Cve[V t@C
//

#include "stdafx.h"
#include "CurveFit.h"
#include "SetupOptionDialog.h"
#include "..\IniFile.h"

extern CIniFile *IniFile;

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSetupOptionDialog _CAO


CSetupOptionDialog::CSetupOptionDialog(CWnd* pParent /*=NULL*/)
	: CDialog(CSetupOptionDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSetupOptionDialog)
	m_EditorPath = _T("");
	//}}AFX_DATA_INIT
}


void CSetupOptionDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSetupOptionDialog)
	DDX_Text(pDX, IDC_EDITORPATHEDIT, m_EditorPath);
	//}}AFX_DATA_MAP
}



BEGIN_MESSAGE_MAP(CSetupOptionDialog, CDialog)
	//{{AFX_MSG_MAP(CSetupOptionDialog)
	ON_BN_CLICKED(IDC_EDITORPATHBUTTON, OnEditorpathbutton)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSetupOptionDialog bZ[W nh

void CSetupOptionDialog::OnEditorpathbutton() 
{
	// TODO: ̈ʒuɃRg[ʒmnhp̃R[hǉĂ
	char str[256];
	IniFile->GetString("Preferences", "EditorDir", "", str);
	SetCurrentDirectory(str);
	CFileDialog fd(false, NULL, NULL, OFN_HIDEREADONLY | OFN_FILEMUSTEXIST, 
		"Executable Files (*.exe)|*.exe|All Files (*.*)|*.*||");
	if(fd.DoModal() != IDOK) return;
	strcpy(str, fd.GetPathName());
	char *cp = strrchr(str, '\\');
	if(cp != NULL) *cp = 0;
	IniFile->WriteString("Preferences", "EditorDir", str);
	
	m_EditorPath = fd.GetPathName();
	UpdateData(FALSE);
}

void CSetupOptionDialog::OnOK() 
{
	// TODO: ̈ʒuɂ̑̌ؗp̃R[hǉĂ
	UpdateData(TRUE);
	IniFile->WriteString("Preferences", "Editor", (LPCSTR)m_EditorPath);
	
	CDialog::OnOK();
}

BOOL CSetupOptionDialog::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	char str[256];
	IniFile->GetString("Preferences", "Editor", "notepad.exe", str);
	m_EditorPath = str;
	UpdateData(FALSE);
	return TRUE;  // Rg[ɃtH[JXݒ肵ȂƂA߂l TRUE ƂȂ܂
	              // O: OCX vpeB y[W̖߂l FALSE ƂȂ܂
}
